<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="capa" style="padding: 10px; background-color: #ff8800">Haz clic en un botón</div>

    <div id="mensaje" style="display: none;">Has puesto el ratón encima!! <br>(Ahora quítalo de la capa)</div>

    <input id="bt1" type="button" value="Botón A">
    <input id="bt2" type="button" value="Botón B">
        
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function(){
            $('#bt1').click(
                function(){
                    $('#capa').html('Has hecho clic en el botón <b>A</b>');
                    $('#capa').css("background-color","red");
                    $('#capa').css("color","white");
            });

            $('#bt2').click(
                function(){
                    $('#capa').html('Recibido un clic en el botón <b>B</b>');
                    $('#capa').css({
                        "background-color":"violet",
                        "color":"black"
                    });
            });

            $("#capa").mouseenter(function(evento){
            $("#mensaje").css("display", "block");
            });
            $("#capa").mouseleave(function(evento){
            $("#mensaje").css("display", "none");
            });

        });

    </script>
</body>
</html>